Potlatch for API 0.6 now saving ways happily with node versioning... I think